<section class="custom">
  <p >
      Avatar
   
  </p>
  <div class="avatars">
    <avatar
    [cursor]="true"
    [source]="avatar"
    [outline]="false"
    size="xs">
  </avatar>
  <avatar
    [cursor]="true"
    [source]="avatar"
    [outline]="true"
    size="sm">
  </avatar>
  <avatar
    [cursor]="true"
    [source]="avatar"
    [outline]="false"
    size="md">
  </avatar>
  <avatar
    [cursor]="true"
    [source]="avatar"
    [outline]="true"
    size="lg">
  </avatar>
  </div>
  <p>
    Avatar List
   
  </p>
  <div>
    <app-avatar-list
    [avatars]="avatarList"
      [numToDisplay]="1">
    </app-avatar-list>
  </div>
  <div>
    <app-avatar-list
    [avatars]="avatarList"
      [numToDisplay]="2">
    </app-avatar-list>
  </div>
  <div>
    <app-avatar-list
    [avatars]="avatarList"
      [numToDisplay]="3">
    </app-avatar-list>
  </div>
  <div>
    <app-avatar-list
    [avatars]="avatarList"
      [numToDisplay]="4">
    </app-avatar-list>
  </div>
  <div>
    <p>Horizontal scroll</p>
    <div>
      <app-horizontal-scroll class="destinations-list">
        <button 
          mat-raised-button 
          color="primary"
          class="btn"
          *ngFor="let item of ['Primary', 'Secondary', 'Success', 'Danger', 'Warning', 'Info', 'Light', 'Dark', 'Link', 'Primary', 'Secondary', 'Success', 'Danger', 'Warning', 'Info', 'Light', 'Dark', 'Link']"
          >
          {{ item }}
        </button>
      </app-horizontal-scroll>
    </div>
    <div>
      <app-horizontal-scroll class="destinations-list">
        <ng-container *ngFor="let avatar of avatarList">
          <avatar
            class="scroll-avatars"
            [cursor]="true"
            [source]="avatar"
            [outline]="false"
            size="xs">
          </avatar>
        </ng-container>
      </app-horizontal-scroll>
    </div>
  </div>
  <div>
    <p>Loading Button</p>
  
    <loading-button  
      class="btn"  
      (click)="onClickLoadingButton()" 
      [loading]="isLoading"> 
      Loading Button
    </loading-button>
  </div>
  <div class="activity">
      <latest-activity 
      (onActiveActivityChange)="incrementConnectionsStats()"
      class="booking-activity">
    </latest-activity>
  </div>
  <div flLayout="row">
    <div fxFlex="50">
      <div class="col col-6 stats-group">
        <img
          src="assets/image/stats-connections.svg"
          alt="Kilomiters"
          class="stats-icon" />
        <div class="stats-values">
          <div
            [jmtCountUp]="stats.connections"
            [jmtCountUpOptions]="statsCounterOptions"
            #connectionsCounter
            class="stats-counter">
            {{ stats.connections }}
          </div>
          <div
            class="text-secondary"
            >
            Reisepartner gefunden
          </div>
        </div>
      </div>
    </div>
    <div fxFlex="50">
      <div class="col col-6 stats-group">
        <img
          src="assets/image/stats-destinations.svg"
          alt="Destinations"
          class="stats-icon" />
        <div class="stats-values">
          <div
            [jmtCountUp]="stats.destinations"
            [jmtCountUpOptions]="statsCounterOptions"
            class="stats-counter">
            {{ stats.destinations }}
          </div>
          <div
            class="text-secondary">
            Destinationen
          </div>
        </div>
      </div>
    </div>
  </div>
  <div>
    <app-drag-and-drop [options]="dragAndDropItems"></app-drag-and-drop>
  </div>
  <div>
    <app-stepper></app-stepper>
  </div>
</section>


